@import "../../../assets/styles/main.scss";

.bestDealsSection {
  background-image: url("https://stagecdn.waosim.com/landingpage/home/bestdeals_background_img.png");
  background-size: cover;
  background-position: center;
  padding: 100px 0px;
  @include lg {
    padding: 80px 0px;
  }
  .bestDealsMain {
    display: flex;
    flex-direction: column;
    gap: 90px;
    

    .getBestDealsMain {
      border-radius: 40px;
      border: 1px solid #ffe0c3;
      background: getColorHex("white");
      padding: 50px 80px 50px 125px;
      position: relative;
      overflow: hidden;
      @include xl {
        padding: 50px 60px;
      }
      @include lg {
        padding: 40px 40px;
      }
      @include md {
        border-radius: 40px;
      }
      @include xxs {
        border-radius: 30px;
        padding: 30px 30px;
      }

      &::after {
        content: "";
        position: absolute;
        background-image: url(https://stagecdn.waosim.com/landingpage/assets/bestdeals_Vector1.png);
        background-size: cover;
        background-position: center;
        width: 118px;
        height: 147px;
        top: 0px;
        left: 0px;
        @include md {
          width: 87px;
          height: 116px;
        }
        @include sm {
          width: 115px;
          height: 155px;
        }
        @include xxs {
          width: 91px;
          height: 117px;
        }
        @include tiny {
          width: 68px;
          height: 89px;
        }
      }
      &::before {
        content: "";
        position: absolute;
        background-image: url(https://stagecdn.waosim.com/landingpage/assets/bestdeals_vector2.png);
        background-size: cover;
        background-position: center;
        width: 680px;
        height: 317px;
        bottom: 0px;
        right: 0px;
        z-index: 9;
        @include lg {
          width: 646px;
          height: 300px;
        }
        @include md {
          width: 646px;
          height: 273px;
        }
        @include sm {
          background-image: url(https://stagecdn.waosim.com/landingpage/assets/bestdeals_vector_mobile.png);
          width: 399px;
          height: 179px;
        }
        @include xxs {
          width: 316px;
          height: 148px;
        }
        @include tiny {
          width: 272px;
          height: 126px;
        }
      }
      span {
        color: getColorHex("orange");
      }
      .getBestDealsLeft {
        .getBestDealsTitle {
          position: relative;
          @include kabutHitam400;

          .singleLineText {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
          }

          h4 {
            color:  getColorHex("black") ;
            font-size: 82px;
            line-height: normal;
            margin: 0px;
            padding-left: 95px;
            @include lg {
              font-size: 70px;
            }
            @include md {
              font-size: 60px;
            }
            @include xxs {
              font-size: 53px;
            }
            @include tiny {
              font-size: 50px;
            }
          }
          .inlineContent {
            color: getColorHex("charcoal");
            @include inter400;
            font-size: 30px;
            font-style: normal;
            line-height: 29px;
            display: flex;
            align-items: center;
            flex-wrap: nowrap;
            width: max-content;
            @include lg {
              font-size: 25px;
            }
            @include md {
              font-size: 19px;
              line-height: 30px;
            }
            @include xs {
              width: 66%;
              margin: 21px auto !important;
            }
            @include xxs {
              width: 82%;
            }
            @include tiny {
              width: 100%;
            }

            .percentageSliderDesign {
              height: 100%;
              max-width: 60px;
              white-space: nowrap;
              overflow: hidden;
              text-overflow: ellipsis;

              p {
                width: fit-content !important;
              }
            }

            .nameSliderDesign {
              height: 100%;
              max-width: 300px;
              white-space: nowrap;
              overflow: hidden;
              text-overflow: ellipsis;

              p {
                width: fit-content !important;
                border-bottom: 2px solid getColorHex("orange");;
                color: getColorHex("orange");
              }
            }
          }

          .discoverNowButton {
            position: relative;
            z-index: 99;
            margin-top: 35px;
            padding-left: 95px;

            button {
              padding: 15px 27px;
              font-size: 20px;

              @include md {
                padding: 12px 19px;
              }
              @include xs {
                font-size: 16px;
              }
              @include xxs {
                font-size: 14px;
                padding: 8px 14px;
              }
              &:hover {
                background: getColorHex("orange");
                 color:  getColorHex("white");
                border: 4px solid getColorHex("orange");
                transition: 0.3s;
                span {
                   color:  getColorHex("white");
                }
              }
              span {
                color:  getColorHex("black") ;
                text-transform: capitalize;
              }
            }
          }
        }
      }
      .getBestDealsRight {
        display: flex;
        justify-content: right;
        position: relative;
        z-index: 9;
        @include sm {
          justify-content: center;
          margin-top: 30px;
        }
        &::after {
          content: "";
          position: absolute;
          background-image: url(https://stagecdn.waosim.com/landingpage/assets/whywaosim_vectore.png);
          background-size: cover;
          background-position: center;
          width: 473px;
          height: 267px;
          top: 50%;
          left: -2%;
          z-index: -1;
          transform: translate(-50%, -50%);
          @include sm {
            width: 403px;
            height: 234px;
            top: -4%;
            left: 52%;
          }
        }
        .planImage {
          border-radius: 20px;
          background: getColorHex("white");
          box-shadow: 0px 0px 4px 0px rgba(244, 117, 0, 0.4);
          padding: 15px;
          width: 288px !important;
          height: 187px;
          position: relative;
          border-radius: 20px;

          // @include lg{
          //   width: 264px !important;
          // }

          .country_image {
            width: 100%;
            height: 100%;
            border-radius: 15px;

            img {
              height: 100%;
              width: 100%;
              border-radius: 15px;
            }
          }

          .country_image {
            border-radius: 15px;
          }

          @include md {
            width: 270px;
          }
          @include sm {
            width: 312px;
          }
          @include tiny {
            width: 100%;
          }
          img {
            position: relative !important;
          }
        }
        .planDetailMainDiv {
          position: relative;
          width: 100%;
          justify-content: flex-end;
          display: flex;

          @include tiny {
            width: 100%;
          }
          :global(.slick-list) {
            width: 300px !important;
          }
          .planecoupan {
            position: absolute;
            background-image: url(https://stagecdn.waosim.com/landingpage/assets/plan_discount_img.png);
            background-position: center;
            background-repeat: no-repeat;
            background-size: contain;
            width: 90px;
            height: 45px;
            top: 9px;
            right: 29px;
            p {
               color:  getColorHex("white");
              text-align: center;
              text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
              font-size: 13px;
              @include inter400;
              line-height: 11px;
              margin-bottom: 8px;
              padding-top: 4px;
              left: 4%;
              position: relative;
            }
            h1 {
               color:  getColorHex("white");
              text-align: center;
              text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
              font-size: 18px;
              line-height: 26px;
              position: relative;
              left: 6%;
            }
          }
          .planDetailMainDiv::after {
            position: absolute;
            content: "";
            right: 0px;
            top: 0px;
          }
        }
        .esimcoupandiv {
          .esimcoupanImg {
            position: absolute !important;
            width: 54px;
            top: 74%;
            right: 0%;
            transform: translate(-50%, -50%);
            z-index: 9;
            @include lg {
              width: 50px;
            }
            img {
              position: relative !important;
            }
          }
        }
      }
    }
  }
  .howWoasimWorkSection {
    display: flex;
    flex-direction: column;
    gap: 90px;
    padding: 70px 0px;
    // @include container-medium-1;

    .howWaosimScreenMain {
      .AllwaosimScreen {
        padding: 0px 0px;
        display: flex;
        gap: 28px;
        @include xxl {
          padding: 0px 0px;
          gap: 20px;
        }
        @include xl {
          padding: 0px 0px;
          gap: 15px;
        }
        @include lg {
          padding: 0px 0px;
          gap: 10px;
        }
      }
    }
    .waosimScreen {
      border-radius: 30px;
      border: 1px solid #d2d2d2;
      background: getColorHex("white");
      width: 20%;
      padding: 28px 0px;
      position: relative;
      z-index: 9;

      &.backBackground {
        &::after {
          background-image: url(https://stagecdn.waosim.com/landingpage/assets/waosim_screen_Vector_orange.png);
        }
      }
      &::after {
        content: "";
        position: absolute;
        background-image: url(https://stagecdn.waosim.com/landingpage/assets/waosim_screen_Vector_black.png);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
        width: 100%;
        height: 100%;
        top: 37%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: -1;
      }

      .number {
        margin: auto;
        width: 95px;
        @include xl {
          width: 85px;
        }
        h1 {
          text-align: center;
          -webkit-text-stroke-width: 6;
          -webkit-text-stroke-color: #e9e9e9;
          font-size: 88px;
          margin: 0px;
        }
      }
      .waosimScreenImage {
        margin: auto;
        padding: 20px 0px;
        text-align: center;
        max-width: 204px;

        @include xl {
          width: 185px;
        }
        @include lg {
          width: 150px;
        }
        img {
          position: relative !important;
        }
      }
      .text {
        height: 81px;

        p {
          color:  getColorHex("black") ;
          text-align: center;
          font-size: 14px;
          line-height: 27px;
          margin: 0px auto;
          @include xxl {
            font-size: 15px;
          }
          @include xl {
            font-size: 14px;
          }
          @include lg {
            font-size: 11px;
          }
        }
      }
    }
  }
  .getInstantDiscount {
    .getBestDealsMain {
      border-radius: 40px;
      background: getColorHex("white");
      padding: 40px 110px;
      border-width: 10px;
      background: linear-gradient(#fff, #fff) padding-box,
        linear-gradient(269deg, #565656 10%, #e1a64e 50%) border-box;
      border: 10px solid transparent !important;
      @include xl {
        padding: 50px 80px;
      }
      @include lg {
        padding: 40px 40px;
      }
      &::after {
        background-image: unset;
      }
      &::before {
        background-image: unset;
      }
      .getBestDealsTitle {
        h4 {
          text-align: left !important;
          padding-left: 0px !important;
        }
        p {
          font-size: 30px;
          @include inter500;
          line-height: 29px;
          padding: 18px 0px;
          @include lg {
            font-size: 26px;
          }
        }
        .inlineContent {
          text-align: left !important;
          padding: 18px 0px !important;
          margin-bottom: 0px !important;
        }
      }
      .esayCloudMain {
        display: flex;
        align-items: center;
        gap: 18px;
        .cloudDiv {
          display: flex;
          align-items: center;
          gap: 10px;
          p {
            font-size: 20px;
            @include inter500;
            line-height: 29px;
            margin: 0px;
          }
        }
      }
      .learnMore_Button {
        margin-top: 18px;
        button {
          padding: 11px 29px !important;
          span {
            color:  getColorHex("black") !important;
            font-size: 20px !important;
            text-transform: capitalize !important;
            @include inter700;
          }
        }
        button:hover {
          span {
            color:  getColorHex("white") !important;
          }
        }
      }
    }
    .getBestDealsImage {
      box-shadow: unset !important;
      background: unset !important;
      padding: 0px !important;
      width: 227px !important;
      height: 302px !important;
      @include lg {
        width: 210px !important;
        height: 280px !important;
      }

      @include md {
        width: 200px !important;
      }
    }
  }
}
.gridSection_background {
  position: absolute;
  bottom: 13px;
  width: 90%;
  border-radius: 15px;

  img {
    border-radius: 15px;
  }
}
.gridSection_countryName {
  position: absolute;
  bottom: 27px;
  z-index: 99;
  left: 31px;
  span {
    color:  getColorHex("white") !important;
    font-size: 10px;
    @include inter500;
    line-height: 15px;
  }
}
.gridSection_country_flag {
  position: absolute;
  top: 28px;
  left: 34px;
  border-radius: 50%;

  .gridSection_country_flag_design {
    width: 25px;
    height: 25px;

    img {
      height: 100%;
      border-radius: 50%;
      object-fit: cover !important;
      width: 100%;
    }
  }
}
